cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation

## Class EAN_U09

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.EAN_U09

-     public final class EAN_U09
      extends Message

  EAN_U09 - Automated Equipment Notification (Event U09). This message is use to sent equipment notifications from one application to another (e.g., alerts sent by automated equipment to a Laboratory Automation System).

  Represents a EAN_U09 message structure (see chapter 13.3.9). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: EQU (Equipment Detail Segment)
  4: NOTIFICATION (a Group of segments in EAN_U09 message) SINGLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  EAN_U09 objU09 = (EAN_U09)MessageFactory.createInstance().createSendSupportedMessage("EAN", "U09");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotificationGroup(IGroup objGroup)` Adds NOTIFICATION GROUP to this message.
    `void` | `addNotificationGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of NOTIFICATION GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `EQU` | `getEquipmentDetailSegment()` Retrieves Equipment Detail(EQU) segment present in this message
    `ISingleCollection<IGroup>` | `getNotificationGroups()` Retrieves Collection of NOTIFICATION GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setEquipmentDetailSegment(EQU objEQU)` Sets value of Equipment Detail segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEquipmentDetailSegment

          public EQU getEquipmentDetailSegment()

      Retrieves Equipment Detail(EQU) segment present in this message
      Returns:
        EQU - the EQU Segment present in this message or null if unavailable.

    - #### setEquipmentDetailSegment

          public void setEquipmentDetailSegment(EQU objEQU)

      Sets value of Equipment Detail segment for this message,overwrites if already present.
      Parameters:
        `objEQU` - Specified EQU Segment

    - #### getNotificationGroups

          public ISingleCollection<IGroup> getNotificationGroups()

      Retrieves Collection of NOTIFICATION GROUP present in this message.
      Returns:
        ISingleCollection - Collection of NOTIFICATION Group present in this Message.

    - #### addNotificationGroups

          public void addNotificationGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of NOTIFICATION GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified NOTIFICATION GROUP Collection.

    - #### addNotificationGroup

          public void addNotificationGroup(IGroup objGroup)

      Adds NOTIFICATION GROUP to this message.
      Parameters:
        `objGroup` - Specified NOTIFICATION GROUP.